" Supertab
let g:SuperTabDefaultCompletionType = "context"

" Ultisnips
let g:ultisnips_python_style='sphinx'
let g:UltiSnipsEditSplit='vertical'
" Trigger configuration. Do not use <tab> if you use https://github.com/Valloric/YouCompleteMe.
" let g:UltiSnipsExpandTrigger="tab"
let g:UltiSnipsExpandTrigger="<c-k>"

" Airline
let g:airline_powerline_fonts = 1
let g:tmuxline_powerline_separators = 0

" Nerdtree
let NERDTreeIgnore = ['.pyc$']
"autocmd VimEnter * NERDTree

" Vim-notes
let g:notes_directories = ['~/Documents/Notes']
let g:notes_suffix = '.md'

" Ale
let g:ale_sign_column_always = 1
let g:ale_sign_error = '⚑'
let g:ale_sign_warning = '⚐'

" fzf
" Search and switch buffers
nmap <leader>b :Buffers<cr>
" Find files by name under the current directory
nmap <leader>f :Files<cr>
" Find files by name under the home directory
nmap <leader>h :Files ~/<cr>
" Search content in the current file
" nmap <leader>l :BLines<cr>
" Search content in the current file and in files under the current directory
" nmap <leader>g :Ag<cr>

" IndentLine
let g:indentLine_fileTypeExclude = ['tex']
" let g:indentLine_concealcursor = ''
" let g:indentLine_conceallevel = 1
"
" Vim-polyglot
" let g:LatexBox_no_mappings = 1
let g:polyglot_disabled = ["latex"]

" Vimtex
let g:vimtex_compiler_latexmk = {
            \ 'backend' : 'jobs',
            \ 'background' : 1,
            \ 'build_dir' : '',
            \ 'callback' : 0,
            \ 'continuous' : 1,
            \ 'options' : [
            \   '-pdf',
            \   '-verbose',
            \   '-file-line-error',
            \   '-synctex=1',
            \   '-interaction=nonstopmode',
            \   '-silent',
            \   '-shell-escape',
            \ ],
            \}

" Les fichiers sty et cls sont vus comme des fichiers tex
autocmd BufRead,BufNewFile *.{sty,cls} setlocal syntax=tex

autocmd FileType latex unmap <leader>ll
autocmd FileType latex nmap <leader>ll <plug>(vimtex-compile)

